package Nawt::Operation::Quota;
# $Id: Quota.pm,v 1.4 2005/02/09 00:10:49 ramirez Exp $

use strict;
use Exporter;
use Nawt::Session;
use Nawt::Privilegies;
use Nawt::Theme;

our @ISA = qw( Exporter ); 
our @EXPORT = qw( &www_showQuotaList );

#-------------------------------------------------------------------
sub www_showQuotaList {
	checkAdmin();
	my ($result, %units, %html, $oid, %quota, $row);
		$oid = $session{form}{oid};
		%units = $session{netams}->getUnit();	
		%quota = $session{netams}->getQuota();	

	foreach (keys %units) {
		$row ++;
		if ($row % 2) {
			$html{rowclass} = "row-1";
		} else {
			$html{rowclass} = "row-2";
		}
		if ($quota{$_}{active}) {
			$html{act} = "ACTIVE";
		} else {
			$html{act} = "DISABLED";
		}
		if ($units{$_}{quota}) {
			$html{body} .= qq~<tr class="$html{rowclass}">
				<td width="20"><img src="$session{config}{extrasURL}/images/$units{$_}{type}.gif"></td>
				<td><a href="?op=editUnit&fn=Quota&oid=$_">$units{$_}{name}</a></td>
				<td> </td>
				<td>$html{act}</td>
				</tr>~;
		}
	}
	
	if ($html{body} eq "") {
		$html{body} = qq~<tr><td colspan="4">Not found</td></tr>~;
	}

	$result = qq~
		<h3>Quota service status</h3>
		<table width="100%" cellspacing="1">
			<tr><td colspan="4"><b>Units where quota enabled</b></td></tr>
			<tr class="row-category"><td colspan="2">Name</td><td>Quota</td><td>Status</td></tr>
			$html{body}
		</table>	
	~;
	return $result;
}
1;