-- phpMyAdmin SQL Dump
-- version 2.6.4-pl2
-- http://www.phpmyadmin.net
-- 
-- : localhost
--  :  07 2006 ., 01:53
--  : 4.1.14
--  PHP: 4.4.0
-- 
-- : `nawt`
-- 

-- --------------------------------------------------------

-- 
--   `nawt_accountdata`
-- 

CREATE TABLE `nawt_accountdata` (
  `oid` varchar(6) character set latin1 NOT NULL default '',
  `surname` varchar(80) character set latin1 NOT NULL default '',
  `name` varchar(80) character set latin1 NOT NULL default '',
  `patronymic` varchar(80) character set latin1 NOT NULL default '',
  `street` varchar(80) character set latin1 NOT NULL default '',
  `house` varchar(20) character set latin1 NOT NULL default '',
  `flat` varchar(10) character set latin1 NOT NULL default '',
  `room` varchar(10) character set latin1 NOT NULL default '',
  `phone` varchar(40) character set latin1 NOT NULL default '',
  `comment` text character set latin1 NOT NULL,
  `passport_ser` varchar(40) character set latin1 NOT NULL default '',
  `passport_num` varchar(40) character set latin1 NOT NULL default '',
  PRIMARY KEY  (`oid`),
  KEY `surname` (`surname`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

-- 
--   `nawt_note`
-- 

CREATE TABLE `nawt_note` (
  `id` int(11) NOT NULL default '0',
  `parentClass` varchar(255) NOT NULL default '',
  `parentId` varchar(255) NOT NULL default '',
  `adminOnly` int(11) NOT NULL default '0',
  `name` text NOT NULL,
  `text` text NOT NULL,
  `tModifed` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `parentClass` (`parentClass`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

-- 
--   `nawt_options`
-- 

CREATE TABLE `nawt_options` (
  `class` varchar(100) NOT NULL default '',
  `name` varchar(100) NOT NULL default '',
  `value` text NOT NULL,
  PRIMARY KEY  (`class`),
  KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

-- 
--   `nawt_paycard`
-- 

CREATE TABLE `nawt_paycard` (
  `series` int(10) unsigned NOT NULL default '0',
  `number` int(10) unsigned NOT NULL default '0',
  `nominal` int(10) unsigned NOT NULL default '0',
  `pin` varchar(32) NOT NULL default '',
  `status` enum('OK','BLOCKED','ACTIVE') NOT NULL default 'OK',
  `time_c` int(10) unsigned NOT NULL default '0',
  `time_a` int(10) unsigned NOT NULL default '0',
  `account` varchar(6) NOT NULL default '',
  PRIMARY KEY  (`series`,`number`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

-- 
--   `nawt_ping`
-- 

CREATE TABLE `nawt_ping` (
  `unit_oid` int(11) NOT NULL default '0',
  `status` int(11) NOT NULL default '0',
  `message` text NOT NULL,
  PRIMARY KEY  (`unit_oid`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

-- 
--   `nawt_premission`
-- 

CREATE TABLE `nawt_premission` (
  `userId` varchar(6) NOT NULL default '',
  `action` varchar(255) NOT NULL default '',
  `value` int(11) NOT NULL default '0',
  KEY `userId` (`userId`),
  KEY `action` (`action`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

-- 
--   `nawt_session`
-- 

CREATE TABLE `nawt_session` (
  `sessionId` varchar(60) NOT NULL default '',
  `expires` int(11) default NULL,
  `lastPageView` int(11) default NULL,
  `lastIP` text,
  `userId` varchar(6) default '-1',
  `isAdmin` int(11) default NULL,
  `cUser` text NOT NULL,
  `cPass` text NOT NULL,
  `userType` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`sessionId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
