package Nawt;
# $Id: Nawt.pm,v 1.11 2005/04/15 22:39:12 ramirez Exp $
our $VERSION = "2.0.5";

use 5.8.0;
use strict;
use CGI::Carp qw(fatalsToBrowser);
use Nawt::Session;
use Nawt::Theme;
use Nawt::Operation;
use Nawt::Privilegies;
#use Nawt::Debug;

# makePage ( path , conf , mode )
#-------------------------------------------------------------------
sub makePage {
	my ($result, $httpHeader, $themeHeader, $themeFooter, $content, $debug, $warnings);
	Nawt::Session::open($_[0], $_[1], $_[2]);
	
	#--------------------------------------
	# Auth check
	my ($res,$user,$pass);
	if ($session{var}{userId} =~ m/^\w{6}$/) {
		$user = $session{var}{cUser};
		$pass = $session{var}{cPass};
		$res = Nawt::Session::makeNetamsConn($user,$pass);
		if ($res == 200) {
			$session{netams}->parseConfig();
			$content = processOperations();
		} else {
			if ($session{form}{op} eq "mlogin") {
				$content = Nawt::Operation::www_mlogin();
			} else {
				$content = Nawt::Operation::www_mlogout();
				$content = Nawt::Operation::www_slogin();
			}			
		}
	} else {
		if ($session{form}{op} eq "mlogin") {
			$content = Nawt::Operation::www_mlogin();
		} else {
			$res = Nawt::Session::makeNetamsConn("","");
			$content = Nawt::Operation::www_slogin();
		}		
	}
	
	#-------------------------------	
	# GENERATING PAGE
	$themeHeader = Nawt::Theme::getThemeHeader();
	$themeFooter = Nawt::Theme::getThemeFooter();
	$httpHeader = Nawt::Session::httpHeader();
	$result = $httpHeader.$themeHeader.$content.$themeFooter;
	Nawt::Session::close();
	return $result;
}


#-------------------------------------------------------------------	
sub processOperations {
	my ($result);
	if ($session{form}{op} =~ m/^\w+$/) {
		$result = eval("Nawt::Operation::www_$session{form}{op};");
	}
   	if ($@ or $session{form}{op} eq "") {
   		if ($session{user}{isAdmin}) {
			$result = eval("Nawt::Operation::www_admintool;");
		} else {
   			$result = eval("Nawt::Operation::www_usertool;");
   		}
   	}
	return $result;
}

1;