package Nawt::Privilegies;
# $Id: Privilegies.pm,v 1.5 2005/04/15 22:39:13 ramirez Exp $

use strict;
use Exporter;
use Nawt::Session;

our @ISA = qw( Exporter ); 
our @EXPORT = qw(&checkAdmin &isUser &isUserAcc &isValidAdmin &canEdit);

# usage = canViewUsers()
#-------------------------------------------------------------------
sub canViewUser {
	my (%sql,$userId);
		$userId = $session{var}{userId};
		%sql = Nawt::SQL->quickHash("SELECT * FROM nawt_premission WHERE userId = '$userId'");
	if (not %sql) {
		Nawt::SQL->write("INSERT INTO nawt_premission SET userId = '$userId'");
	}
	if ($sql{user} =~ /r/) {
		return 1;
	} else {
		return 0;
	}

}

#-------------------------------------------------------------------
sub canEditUser {
	my (%sql,$userId);
		$userId = $session{var}{userId};
		%sql = Nawt::SQL->quickHash("SELECT * FROM nawt_premission WHERE userId = '$userId'");
	if ($sql{user} =~ /w/) {
		return 1;
	} else {
		return 0;
	}

}

#-------------------------------------------------------------------
sub checkAdmin {
	return Nawt::Debug::accessError("This is administrative function! Are you admin? No, i don't know you man. <br> Sending message to REAL admin, and log your activity. Bye!") if $session{user}{isAdmin} != 1;
}

# Check if not visitor
#-------------------------------------------------------------------
sub isUser {
	return 1 if $session{var}{userId} =~ m/^\w{6}$/ && $session{var}{cPass} ne "" && $session{var}{userType} ne "";
	return 0;
}


# Check if not visitor
#-------------------------------------------------------------------
sub isUserAcc {
	return 1 if $session{var}{userId} =~ m/^\w{6}$/ && $session{var}{cPass} ne "" && $session{var}{userType} eq "account";
	return 0;
}

# returns TRUE if running admintool and user authorized
#-------------------------------------------------------------------
sub isValidAdmin {
	if ($session{var}{userId} =~ m/^\w{6}$/ && $session{user}{isAdmin}) {
		return 1;
	} else {
		return 0;
	}
}

#-------------------------------------------------------------------
sub isAuthorizedUser {
	if ($session{var}{userId} > 0) {
		return 1;
	} else {
		return 0;
	}
}


# canEdit( paramname )
#-------------------------------------------------------------------
sub canEdit {
	my ($value,$action);
	$action = shift;
	($value) = Nawt::SQL->quickArray("SELECT value FROM nawt_premission WHERE userId LIKE '$session{var}{userId}' AND action LIKE '$action' LIMIT 1");
	return 1 if isValidAdmin() and $value;
}


1;