package Nawt::Theme;
# $Id: Theme.pm,v 1.18 2005/04/18 22:56:12 ramirez Exp $

use strict;
#use Exporter;
use Data::Dumper;
use Nawt::Session;
use Nawt::Privilegies;
use Nawt::Navigation;
use Nawt::Language;

#our @ISA = qw( Exporter );
#our @EXPORT = qw( &addMenuItem &addPanelItem &msgBox );

# $html = errorBox( type (err|warn), title , body , url_ok , url_cancel )
#-------------------------------------------------------------------	
sub msgBox {
	my ($res, %html);
	
	if ($_[0] =~ m/(err|warn)/) {
		$html{img} = $1."_ico.gif";
	} else {
		$html{img} = $1."warn.gif";
	}
	
	$res = qq~<p align="center">
	<table class="errBox">
		<tr><td><img src="$session{config}{extrasURL}/images/$html{img}"></td><td class="errBoxTitle" width="95%">$_[1]</td></tr>
		<tr><td colspan=2 class="errBoxBody">$_[2]</td></tr>
	</table>
	</p>
	~;
	return $res;
}

#-------------------------------------------------------------------
sub getThemeHeader {
	my ($result, $welcome, $version, %html);
		$html{date} = localtime();
		if ($session{user}{isAdmin}) {
			$html{title} = "NeTAMS Admintool";
			$html{logo} = "$session{config}{extrasURL}/images/header_text.gif";
		} else {
			$html{title} = "NeTAMS Usertool";
			$html{logo} = "$session{config}{extrasURL}/images/header_text1.gif";
		}
		$html{mainMenu} = Nawt::Navigation::getRootMenu();
		$html{contMenu} = Nawt::Navigation::getContextMenu();
$result = qq~
<HTML>
<HEAD>
<TITLE> $html{title} v.$Nawt::VERSION </TITLE>
<META http-equiv=Cache-Control content="no-cache, must-revalidate, max_age=0">
<META http-equiv=Pragma content=no-cache>
<META http-equiv=Expires content=0>
<!-- <META http-equiv="refresh" content="300"> -->
<LINK href="$session{config}{extrasURL}/favicon.png" type=image/png rel=icon>
<LINK href="$session{config}{extrasURL}/favicon.ico" rel="SHORTCUT ICON" >
<META HTTP-EQUIV=Content-Type CONTENT="text/html; charset=$LANG{CHARSET}">
<LINK HREF="$session{config}{extrasURL}/css/theme.css" REL="stylesheet" TYPE="text/css">
<LINK HREF="$session{config}{extrasURL}/js/ThemeOffice/theme.css" REL="stylesheet" TYPE="text/css">
<LINK href="$session{config}{extrasURL}/css/table.css" type=text/css rel=stylesheet>
<SCRIPT type=text/javascript>
	function getNawtProperty (propName) {
		var props = new Array();
		props["extrasURL"] = "$session{config}{extrasURL}";
		props["pageURL"] = "";
		return props[propName];
	}
</SCRIPT>
<SCRIPT type=text/javascript src="$session{config}{extrasURL}/js/common.js"></SCRIPT>
<SCRIPT type=text/javascript src="$session{config}{extrasURL}/js/JSCookMenu.js"></SCRIPT>
<SCRIPT type=text/javascript src="$session{config}{extrasURL}/js/ThemeOffice/theme.js"></SCRIPT>
</HEAD>

<BODY>
<A name="pageTop"></A>
<!-- HEADER & LOGO -->
<DIV id=wrapper>
<DIV id=header>
	<DIV id=nawt><A href="$ENV{SCRIPT_NAME}"><IMG alt="Nawt Logo" src="$html{logo}"></A></DIV>
</DIV>
</DIV>		
$html{mainMenu}
<BR>
<table width="100%">
<tr>
~;

if (defined %{$session{page}{contmenu}}) {
	$result .= qq~<td valign=top width=150 style="padding: 5px;">$html{contMenu}</td>~;
}

$result .= qq~
<td valign=top class=main>
<!-- CONTENT SECTION -->
	<DIV class=pagetitle>$session{page}{title}</DIV>
	<BR>
~;

	return $result;
}

# Returns theme foother
#-------------------------------------------------------------------
sub getThemeFooter {
	my ($result, %html);
	$html{times} = sprintf("%3.3f",times());
	if ($session{config}{debug}) {
		$html{debug} = qq~<DIV class=debug><B>Debug output:</B><PRE>$session{debug}</PRE></DIV>~;
	}
	$html{disable} .= qq~disableForm('$_');~ foreach (@{$session{page}{disabledforms}});
	if ($session{config}{debug}) {
		my $ref = \%session;
		$Data::Dumper::Indent = 1;
		$html{debug} = "<p><div class=databox><B>Debug output:</B><pre>".Dumper($ref)."</pre></div>";
	}
#	if ($session{navigation}{right}) {
#		$html{right} = qq~<td width=150>$session{navigation}{right}</td>~;
#	}
$result = qq~
</td>$html{right}</tr></table>
<A name="pageBottom"></A><BR>
<DIV align=center>NaWT $Nawt::VERSION. Page generated in $html{times} sec. $Nawt::SQL::COUNT SQL-Queries.</DIV>
<DIV align=center>NeTAMS $session{netams}->{options}{version} <a href="http://www.netams.com" target=_blank>www.netams.com</a></DIV>
<SCRIPT LANGUAGE="JavaScript">$html{disable}</SCRIPT>
$html{debug}
</BODY>
</HTML>
~;

	return $result;
}

#-------------------------------------------------------------------
sub getRedirect {
	my $result;
	if ($session{config}{debug}) {
		$result = qq~<p>
			<DIV align="center" valign="middle" width="95%" height="95%">
				<p>Operatin completed.
				<p>Auto-Redirect not work in debug mode, so you can see debug output below.
				<p><a class=btn1 href="$_[0]">OK</a>
			</DIV>
		
		~;
	} else {
		$result=qq~ <p>
			<DIV align="center" valign="middle" width="95%" height="95%">
					Processing operation, please wait...
			</DIV>
		<script>
			window.onload = redirect();
			function redirect() {
				document.location.href="$_[0]";
			}
		</script> ~;
	}
	return $result;
}

1;
