package Nawt::Unit;
# $Id: Unit.pm,v 1.3 2005/04/15 22:39:13 ramirez Exp $

use Nawt::Session;

# %data = getUnit ( [oid] )
#-------------------------------------------------------------------
sub getUnit {
	return $session{netams}->getUnit($_[0]);
}

#-------------------------------------------------------------------
sub setUnit {
	my (%input);
		%input = @_;
		
}

# %hash = getLoginPtrs( oid )
# reading login parameter from SQL table
#-------------------------------------------------------------------
sub getLoginPtrs {
	my (%sql);
		%sql = Nawt::SQL->quickHash("select * from login where oid like '$_[0]' limit 1");
	return %sql;
}

# buildUnitTreeCbo ( %units , [ level , oid ] )
#-------------------------------------------------------------------
sub buildUnitTreeCbo {
	my ($result, %units, %html, $level);
		%units = %{$_[0]};
		$level = $_[1];
	
	## Building root level
	if (!defined $level) {
		foreach (sort { ($units{$a}{type} cmp $units{$b}{type}) or ($units{$a}{name} cmp $units{$b}{name}) } keys %units) {
			my $oid = $_;
			if ($_ ne "name2oid" && $units{$_}{parent} eq "") {
				$html{rows} .= qq~ <option value=$_>$units{$_}{name}</option> ~;
				if ($units{$_}{type} eq "group") {
					## Recurse sub-levels
					my @childs = split(",",$units{$_}{childs});
					foreach (@childs) {
						$html{rows} .= buildUnitTreeCbo(\%units,$level+1,$_);
					}
				}
			}
		}
		$result = qq~<select>
				$html{rows}
				</select>
				~;
		return $result;	
	## Builging sub-levels
	} else {
		my $spacer;
		for my $i (1..$level) {
			$spacer .= "&nbsp;&nbsp;";
		}
		#$spacer .= "|-- " if $level > 2;
		my $oid = $_[2];
		$html{rows} .= qq~ <option value=$_>$spacer$units{$_}{name}</option> ~;
		if ($units{$oid}{type} eq "group") {
			## Recurse sub-levels
			my @childs = split(",",$units{$oid}{childs});
			foreach (@childs) {
				$html{rows} .= buildUnitTreeCbo(\%units,$level+1,$_);
			}
		}
		return $html{rows};
	}
}


1;